## phonon-backend-gstreamer 4.8.2

=== CMakeLists.txt ===
project(PhononGStreamer)
cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

option(USE_INSTALL_PLUGIN "Use GStreamer codec installation API" TRUE)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(PHONON_GST_MAJOR_VERSION "4")
set(PHONON_GST_MINOR_VERSION "8")
set(PHONON_GST_PATCH_VERSION "2")
set(PHONON_GST_VERSION "${PHONON_GST_MAJOR_VERSION}.${PHONON_GST_MINOR_VERSION}.${PHONON_GST_PATCH_VERSION}")

add_definitions(-DPHONON_GST_VERSION="${PHONON_GST_VERSION}")

find_package(Phonon REQUIRED)
macro_ensure_version("4.7.0" ${PHONON_VERSION} PHONON_FOUND)
macro_log_feature(PHONON_FOUND "Phonon" "Core Library" "git://anongit.kde.org/phonon.git" TRUE "4.7.0")

find_package(OpenGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "OpenGL support is required to compile the gstreamer backend for Phonon" "" FALSE)

if(PHONON_BUILD_PHONON4QT5)
    find_package(Qt5OpenGL)
    macro_log_feature(Qt5OpenGL_FOUND "Qt5 OpenGL" "Qt5 OpenGL support is required to compile the gstreamer backend for Phonon" "" FALSE)
    set(QT_QTOPENGL_FOUND Qt5OpenGL_FOUND)
else ()
    macro_log_feature(QT_QTOPENGL_FOUND "Qt4 OpenGL" "Qt4 OpenGL support is required to compile the gstreamer backend for Phonon" "" FALSE)
endif()

if (NOT QT_QTOPENGL_FOUND)
    set(OPENGL_FOUND FALSE)
endif ()

add_definitions(${QT_DEFINITIONS})
include_directories(${PHONON_INCLUDES} ${QT_INCLUDES})

find_package(GStreamer REQUIRED)
find_package(GStreamerPlugins REQUIRED)
macro_log_feature(GSTREAMER_FOUND "GStreamer" "gstreamer 1.0 is required for the multimedia backend" "http://gstreamer.freedesktop.org/modules/" TRUE "1.0")
macro_log_feature(GSTREAMER_PLUGIN_VIDEO_FOUND "GStreamer video plugin" "The gstreamer video plugin (part of gstreamer-plugins-base 1.0) is required for the multimedia gstreamer backend" "http://gstreamer.freedesktop.org/modules/" TRUE "1.0")
macro_log_feature(GSTREAMER_PLUGIN_AUDIO_FOUND "GStreamer audio plugin" "The gstreamer audio plugin (part of gstreamer-plugins-base 1.0) is required for the multimedia gstreamer backend" "http://gstreamer.freedesktop.org/modules/" TRUE "1.0")
macro_log_feature(GSTREAMER_PLUGIN_PBUTILS_FOUND "GStreamer pbutils plugin" "The gstreamer pbutils plugin (part of gstreamer-plugins-base 1.0) is required for the multimedia gstreamer backend" "http://gstreamer.freedesktop.org/modules/" TRUE "1.0")

find_package(GLIB2 REQUIRED)
macro_log_feature(GLIB2_FOUND "GLib2" "GLib 2 is required to compile the gstreamer backend for Phonon" "http://www.gtk.org/download/" TRUE)

find_package(GObject REQUIRED)

find_package(LibXml2 REQUIRED)
macro_log_feature(LIBXML2_FOUND "LibXml2" "LibXml2 is required to compile the gstreamer backend for Phonon" "http://xmlsoft.org/downloads.html" TRUE)



add_subdirectory(gstreamer)

macro_display_feature_log()

=== gstreamer/CMakeLists.txt ===
# Copyright (C) 2009 Nokia Corporation. All rights reserved.
# Copyright (C) 2008 Matthias Kretz <kretz@kde.org>
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 2 or 3 of the License.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.

include_directories(
      ${CMAKE_CURRENT_BINARY_DIR}
      ${GSTREAMER_INCLUDE_DIR}
      ${GSTREAMER_PLUGIN_VIDEO_INCLUDE_DIR}
      ${GSTREAMER_PLUGIN_AUDIO_INCLUDE_DIR}
      ${GSTREAMER_PLUGIN_PBUTILS_INCLUDE_DIR}
      ${GLIB2_INCLUDE_DIR}
      ${LIBXML2_INCLUDE_DIR}
      ${X11_X11_INCLUDE_PATH})

if(${PHONON_VERSION} VERSION_GREATER "4.6.49") # Pre-release 4.7 starts at 4.6.50
    message(STATUS "Building against Phonon 4.7 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_7)
elseif(${PHONON_VERSION} VERSION_GREATER "4.3.99")
    message(STATUS "Building against Phonon 4.4 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_4)
elseif(${PHONON_VERSION} VERSION_GREATER "4.1.99")
    message(STATUS "Building against Phonon 4.2 API")
    set(BACKEND_VERSION_DEFINE -DPHONON_BACKEND_VERSION_4_2)
else()
    message(STATUS "Building against Phonon 4.0 API")
    set(BACKEND_VERSION_DEFINE)
endif()

add_definitions(${BACKEND_VERSION_DEFINE})
set(AUTOMOC_MOC_OPTIONS ${BACKEND_VERSION_DEFINE})

# configure plugin api
if(USE_INSTALL_PLUGIN)
  set(PLUGIN_INSTALL_API TRUE)
endif(USE_INSTALL_PLUGIN)

configure_file(phonon-config-gstreamer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/phonon-config-gstreamer.h )

set(phonon_gstreamer_SRCS
  abstractrenderer.cpp
  audiodataoutput.cpp
  audioeffect.cpp
  audiooutput.cpp
  backend.cpp
  debug.cpp
  devicemanager.cpp
  effect.cpp
  effectmanager.cpp
  gsthelper.cpp
  medianode.cpp
  mediaobject.cpp
  pipeline.cpp
  plugininstaller.cpp
  qwidgetvideosink.cpp
  streamreader.cpp
  videowidget.cpp
  volumefadereffect.cpp
  widgetrenderer.cpp
  )

if (NOT PHONON_NO_GRAPHICSVIEW)
  set(phonon_gstreamer_SRCS
    ${phonon_gstreamer_SRCS}
    videographicsobject.cpp
    videosink.c
  )
else (NOT PHONON_NO_GRAPHICSVIEW)
  add_definitions(-DPHONON_NO_GRAPHICSVIEW)
endif (NOT PHONON_NO_GRAPHICSVIEW)

if(PHONON_FOUND_EXPERIMENTAL)
    add_definitions(-DPHONON_EXPERIMENTAL)
    list(APPEND phonon_gstreamer_SRCS videodataoutput.cpp)
endif(PHONON_FOUND_EXPERIMENTAL)

if (OPENGL_FOUND)
    list(APPEND phonon_gstreamer_SRCS glrenderer.cpp)
endif ()

if(NOT WIN32)
  set(phonon_gstreamer_SRCS
      ${phonon_gstreamer_SRCS}
      x11renderer.cpp)
endif(NOT WIN32)

automoc4_add_library(phonon_gstreamer MODULE ${phonon_gstreamer_SRCS})
set_target_properties(phonon_gstreamer PROPERTIES
 PREFIX ""
 AUTOMOC_MOC_OPTIONS ${AUTOMOC_MOC_OPTIONS}
)
qt5_use_modules(phonon_gstreamer Core Widgets)
target_link_libraries(phonon_gstreamer
  ${PHONON_LIBRARY}
  ${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}
  ${GSTREAMER_PLUGIN_VIDEO_LIBRARY} ${GSTREAMER_PLUGIN_AUDIO_LIBRARY} ${GSTREAMER_PLUGIN_PBUTILS_LIBRARY}
  ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES} ${GSTREAMER_APP_LIBRARY}
)
if(USE_INSTALL_PLUGIN)
   target_link_libraries(phonon_gstreamer ${GSTREAMER_PLUGIN_PBUTILS_LIBRARIES})
endif(USE_INSTALL_PLUGIN)
if(OPENGL_FOUND)
  qt5_use_modules(phonon_gstreamer OpenGL)
  target_link_libraries(phonon_gstreamer ${OPENGL_gl_LIBRARY})
endif(OPENGL_FOUND)

install(TARGETS phonon_gstreamer DESTINATION ${BACKEND_INSTALL_DIR})

if(PHONON_BUILD_PHONON4QT5)
    # Instead of desktop files we are embedding the information into the plugin itself.
    # We have no KDE technology to help with finding the actual libraries anyway, so
    # we need to have the library path anyway.
    # Also see qtplugin/Q_PLUGIN_METADATA documentation.
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-gstreamer.json.in
                   ${CMAKE_CURRENT_BINARY_DIR}/phonon-gstreamer.json @ONLY)
else()
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gstreamer.desktop.cmake
                   ${CMAKE_CURRENT_BINARY_DIR}/gstreamer.desktop)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gstreamer.desktop
            DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)
endif()

add_subdirectory(icons)

=== debian/changelog ===
phonon-backend-gstreamer (4:4.8.2-0ubuntu2) xenial; urgency=high

  * Add extra-cmake-modules build-dep.
  * Cherrypick upstream fixes for new locations of GStreamer headers.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 19 Jan 2016 10:37:26 +0000

phonon-backend-gstreamer (4:4.8.2-0ubuntu1) vivid; urgency=medium

  * This package was updated to 4.8.2

 -- Danile Pastushchak <danikpastushchak90@gmail.com>  Mon, 29 Dec 2014 22:26:03 +0200

phonon-backend-gstreamer (4:4.8.1-1ubuntu0) vivid; urgency=medium

  * New upstream release.

 -- Mikhail Ivchenko <ematirov@gmail.com>  Fri, 12 Dec 2014 16:01:42 +0000

phonon-backend-gstreamer (4:4.8.0-3ubuntu1) vivid; urgency=medium

  * sync with Debian, now building qt5 and qt4 out of one source again

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Oct 2014 17:59:29 +0000

=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Diane Trout <diane@ghic.org>
Build-Depends: automoc,
               cmake (>= 2.8.6),
	       extra-cmake-modules,
               debhelper (>= 9~),
               libasound2-dev [linux-any],
               libgl1-mesa-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libphonon-dev (>= 4:4.7.1~),
               libphononexperimental-dev (>= 4:4.7.1~),
               libphonon4qt5-dev (>= 4:4.7.1~),
               libphonon4qt5experimental-dev (>= 4:4.7.1~),
               libqt4-dev (>= 4:4.8.1),
               libqt4-opengl-dev (>= 4:4.8.1),
               libqt5opengl5-dev,
               libxml2-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://phonon.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/phonon-backend-gstreamer.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer-common
Architecture: any
Multi-Arch: same
Suggests: phonon-backend-gstreamer, phonon4qt5-backend-gstreamer
Replaces: phonon-backend-gstreamer (<< 4:4.8.0-2~)
Breaks: phonon-backend-gstreamer (<< 4:4.8.0-2~)
Description: Phonon GStreamer 1.0.x backend icons
 This package contains GStreamer 1.0.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.
 .
 This package contains icons used by Phonon and Phonon4Qt5 backends.

Package: phonon-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-gstreamer-common (= ${binary:Version}),
         gstreamer1.0-pulseaudio,
         gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good
Suggests: gstreamer1.0-plugins-ugly
Description: Phonon GStreamer 1.0 backend
 This package contains GStreamer 1.0 backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: phonon-backend-gstreamer (= ${binary:Version}), ${misc:Depends}
Replaces: phonon-dbg (<< 4:4.6.0really4.4.4)
Breaks: phonon-dbg (<< 4:4.6.0really4.4.4)
Description: debugging symbols for the Phonon GStreamer 1.0 backend
 This package contains debugging symbols for the Phonon GStreamer 1.0
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.

Package: phonon4qt5-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-gstreamer-common (= ${binary:Version}),
         gstreamer1.0-pulseaudio |
         gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good
Suggests: gstreamer1.0-plugins-ugly
Description: Phonon Qt5 GStreamer 1.0 backend
 This package contains Qt5 GStreamer 1.0 backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon4qt5-backend-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: phonon4qt5-backend-gstreamer (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the Phonon Qt5 GStreamer 1.0 backend
 This package contains debugging symbols for the Phonon Qt5 GStreamer 1.0
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -B obj-qt4 -- -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/
	$(overridden_command) -B obj-qt5 -- \
	                      -DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ \
	                      -DPHONON_BUILD_PHONON4QT5=ON

override_dh_auto_build:
	$(overridden_command) -B obj-qt4
	$(overridden_command) -B obj-qt5

override_dh_auto_install:
	$(overridden_command) -B obj-qt4
	$(overridden_command) -B obj-qt5

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_auto_clean:
	$(overridden_command) -B obj-qt4
	$(overridden_command) -B obj-qt5

override_dh_shlibdeps:
	$(overridden_command) -- -xphonon

override_dh_auto_test:
	$(overridden_command) -B obj-qt4
	$(overridden_command) -B obj-qt5

override_dh_strip:
	$(overridden_command) -pphonon-backend-gstreamer --dbg-package=phonon-backend-gstreamer-dbg
	$(overridden_command) -pphonon4qt5-backend-gstreamer --dbg-package=phonon4qt5-backend-gstreamer-dbg

=== debian/watch ===
version=3

http://download.kde.org//stable/phonon/phonon-backend-gstreamer/([\d.]+)/ phonon-backend-gstreamer-([\d.]+).tar.xz

## phonon-backend-gstreamer 4.9.0

=== gstreamer/CMakeLists.txt ===
--- 
+++ 
@@ -88,18 +88,35 @@
     list(APPEND phonon_gstreamer_SRCS glrenderer.cpp)
 endif ()
 
-if(NOT WIN32)
+set(BUILD_X11RENDERER TRUE)
+if (PHONON_BUILD_PHONON4QT5)
+    if (Qt5X11Extras_FOUND)
+        set(BUILD_X11RENDERER TRUE)
+    endif()
+elseif (NOT WIN32)
+    set(BUILD_X11RENDERER TRUE)
+endif()
+
+if (BUILD_X11RENDERER)
   set(phonon_gstreamer_SRCS
       ${phonon_gstreamer_SRCS}
       x11renderer.cpp)
-endif(NOT WIN32)
+  add_definitions(-DBUILD_X11RENDERER)
+endif()
 
 automoc4_add_library(phonon_gstreamer MODULE ${phonon_gstreamer_SRCS})
 set_target_properties(phonon_gstreamer PROPERTIES
  PREFIX ""
  AUTOMOC_MOC_OPTIONS ${AUTOMOC_MOC_OPTIONS}
 )
+
 qt5_use_modules(phonon_gstreamer Core Widgets)
+
+if(Qt5X11Extras_FOUND)
+  qt5_use_modules(phonon_gstreamer X11Extras)
+  target_link_libraries(phonon_gstreamer Qt5::X11Extras)
+endif(Qt5X11Extras_FOUND)
+
 target_link_libraries(phonon_gstreamer
   ${PHONON_LIBRARY}
   ${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}

=== debian/changelog ===
phonon-backend-gstreamer (4:4.9.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (4.9.0).
  * Update watch file
  * Drop automoc build dependency.
    Thanks to Александр Волко for reporting (Closes: 824124)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Migrate to the automatic dbgsym packages
  * Drop upstream applied patch: gstreamer-compatibility.patch
  * Add missing build dependency, libqt5x11extras5-dev

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 18:12:27 +0200

phonon-backend-gstreamer (4:4.8.2-2) unstable; urgency=medium

  * Fix Diane Trout's email address
  * Fix ordering in copyright file.
  * Create gstreamer-compatibility.patch (Closes: #802107)

 -- Diane Trout <diane@debian.org>  Mon, 19 Oct 2015 14:40:24 -0700

phonon-backend-gstreamer (4:4.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make phonon4qt5-backend-gstreamer provide phonon4qt5-backend instead of
    phonon-backend.
  * Fix the watch file.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 30 Aug 2015 12:19:39 +0200

=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Diane Trout <diane@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9~),
               extra-cmake-modules,
               libasound2-dev [linux-any],
               libgl1-mesa-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libphonon-dev (>= 4:4.7.1~),
               libphonon4qt5-dev (>= 4:4.7.1~),
               libphonon4qt5experimental-dev (>= 4:4.7.1~),
               libphononexperimental-dev (>= 4:4.7.1~),
               libqt4-dev (>= 4:4.8.1),
               libqt4-opengl-dev (>= 4:4.8.1),
               libqt5opengl5-dev,
               libqt5x11extras5-dev (>= 5.2.0~),
               libxml2-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://phonon.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-gstreamer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer-common
Architecture: any
Multi-Arch: same
Suggests: phonon-backend-gstreamer, phonon4qt5-backend-gstreamer
Replaces: phonon-backend-gstreamer (<< 4:4.8.0-2~)
Breaks: phonon-backend-gstreamer (<< 4:4.8.0-2~)
Description: Phonon GStreamer 1.0.x backend icons
 This package contains GStreamer 1.0.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.
 .
 This package contains icons used by Phonon and Phonon4Qt5 backends.

Package: phonon-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
         gstreamer1.0-pulseaudio,
         phonon-backend-gstreamer-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good
Suggests: gstreamer1.0-plugins-ugly
Description: Phonon GStreamer 1.0 backend
 This package contains GStreamer 1.0 backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon4qt5-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon4qt5-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-pulseaudio | gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         phonon-backend-gstreamer-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good
Suggests: gstreamer1.0-plugins-ugly
Description: Phonon Qt5 GStreamer 1.0 backend
 This package contains Qt5 GStreamer 1.0 backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

=== debian/rules ===
--- 
+++ 
@@ -33,5 +33,5 @@
 	$(overridden_command) -B obj-qt5
 
 override_dh_strip:
-	$(overridden_command) -pphonon-backend-gstreamer --dbg-package=phonon-backend-gstreamer-dbg
-	$(overridden_command) -pphonon4qt5-backend-gstreamer --dbg-package=phonon4qt5-backend-gstreamer-dbg
+	$(overridden_command) -pphonon-backend-gstreamer --dbgsym-migration='phonon-backend-gstreamer-dbg (<= 4:4.9.0-1~~)'
+	$(overridden_command) -pphonon4qt5-backend-gstreamer --dbgsym-migration='phonon4qt5-backend-gstreamer-dbg (<= 4:4.9.0-1~~)'

=== debian/watch ===
version=3

http://download.kde.org//stable/phonon/phonon-backend-gstreamer/([\d.]+)/phonon-backend-gstreamer-([\d.]+).tar.xz

## phonon-backend-gstreamer 4.9.1

=== debian/changelog ===
phonon-backend-gstreamer (4:4.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the qttools5-dev build dependency, needed for translations.
  * Update watch file to https, and version 4.
  * Import the upstream signing key.
  * Update install files.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Remove trailing whitespace in changelog.
  * Switch copyright-format to https.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Jul 2019 07:37:09 +0200

=== debian/control ===
--- 
+++ 
@@ -22,11 +22,12 @@
                libqt5opengl5-dev,
                libqt5x11extras5-dev (>= 5.2.0~),
                libxml2-dev,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+               pkg-kde-tools (>= 0.12),
+               qttools5-dev,
+Standards-Version: 4.4.0
 Homepage: http://phonon.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-gstreamer.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/phonon-backend-gstreamer.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-gstreamer
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-gstreamer.git
 
 Package: phonon-backend-gstreamer-common
 Architecture: any

## phonon-backend-gstreamer 4.10.0

=== gstreamer/CMakeLists.txt ===
--- 
+++ 
@@ -69,16 +69,6 @@
   widgetrenderer.cpp
   )
 
-if (NOT PHONON_NO_GRAPHICSVIEW)
-  set(phonon_gstreamer_SRCS
-    ${phonon_gstreamer_SRCS}
-    videographicsobject.cpp
-    videosink.c
-  )
-else (NOT PHONON_NO_GRAPHICSVIEW)
-  add_definitions(-DPHONON_NO_GRAPHICSVIEW)
-endif (NOT PHONON_NO_GRAPHICSVIEW)
-
 if(PHONON_FOUND_EXPERIMENTAL)
     add_definitions(-DPHONON_EXPERIMENTAL)
     list(APPEND phonon_gstreamer_SRCS videodataoutput.cpp)
@@ -104,47 +94,46 @@
   add_definitions(-DBUILD_X11RENDERER)
 endif()
 
-automoc4_add_library(phonon_gstreamer MODULE ${phonon_gstreamer_SRCS})
+ecm_create_qm_loader(phonon_gstreamer_SRCS phonon_gstreamer_qt)
+
+add_library(phonon_gstreamer MODULE ${phonon_gstreamer_SRCS})
 set_target_properties(phonon_gstreamer PROPERTIES
  PREFIX ""
  AUTOMOC_MOC_OPTIONS ${AUTOMOC_MOC_OPTIONS}
 )
 
-qt5_use_modules(phonon_gstreamer Core Widgets)
+target_link_libraries(phonon_gstreamer
+    Qt5::Core
+    Qt5::Widgets
+    Phonon::phonon4qt5
+    ${PHONON_LIBRARY}
+    ${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}
+    ${GSTREAMER_PLUGIN_VIDEO_LIBRARY} ${GSTREAMER_PLUGIN_AUDIO_LIBRARY} ${GSTREAMER_PLUGIN_PBUTILS_LIBRARY}
+    ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES} ${GSTREAMER_APP_LIBRARY}
+)
+
+if(PHONON_FOUND_EXPERIMENTAL)
+    target_link_libraries(phonon_gstreamer Phonon::phonon4qt5experimental)
+endif()
 
 if(Qt5X11Extras_FOUND)
-  qt5_use_modules(phonon_gstreamer X11Extras)
   target_link_libraries(phonon_gstreamer Qt5::X11Extras)
 endif(Qt5X11Extras_FOUND)
 
-target_link_libraries(phonon_gstreamer
-  ${PHONON_LIBRARY}
-  ${GSTREAMER_LIBRARIES} ${GSTREAMER_BASE_LIBRARY} ${GSTREAMER_INTERFACE_LIBRARY}
-  ${GSTREAMER_PLUGIN_VIDEO_LIBRARY} ${GSTREAMER_PLUGIN_AUDIO_LIBRARY} ${GSTREAMER_PLUGIN_PBUTILS_LIBRARY}
-  ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES} ${GSTREAMER_APP_LIBRARY}
-)
 if(USE_INSTALL_PLUGIN)
    target_link_libraries(phonon_gstreamer ${GSTREAMER_PLUGIN_PBUTILS_LIBRARIES})
 endif(USE_INSTALL_PLUGIN)
 if(OPENGL_FOUND)
-  qt5_use_modules(phonon_gstreamer OpenGL)
-  target_link_libraries(phonon_gstreamer ${OPENGL_gl_LIBRARY})
+  target_link_libraries(phonon_gstreamer ${OPENGL_gl_LIBRARY} Qt5::OpenGL)
 endif(OPENGL_FOUND)
 
-install(TARGETS phonon_gstreamer DESTINATION ${BACKEND_INSTALL_DIR})
+install(TARGETS phonon_gstreamer DESTINATION ${PHONON_BACKEND_DIR})
 
-if(PHONON_BUILD_PHONON4QT5)
-    # Instead of desktop files we are embedding the information into the plugin itself.
-    # We have no KDE technology to help with finding the actual libraries anyway, so
-    # we need to have the library path anyway.
-    # Also see qtplugin/Q_PLUGIN_METADATA documentation.
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-gstreamer.json.in
-                   ${CMAKE_CURRENT_BINARY_DIR}/phonon-gstreamer.json @ONLY)
-else()
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/gstreamer.desktop.cmake
-                   ${CMAKE_CURRENT_BINARY_DIR}/gstreamer.desktop)
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gstreamer.desktop
-            DESTINATION ${SERVICES_INSTALL_DIR}/phononbackends)
-endif()
+# Instead of desktop files we are embedding the information into the plugin itself.
+# We have no KDE technology to help with finding the actual libraries anyway, so
+# we need to have the library path anyway.
+# Also see qtplugin/Q_PLUGIN_METADATA documentation.
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/phonon-gstreamer.json.in
+                ${CMAKE_CURRENT_BINARY_DIR}/phonon-gstreamer.json @ONLY)
 
 add_subdirectory(icons)

=== debian/changelog ===
phonon-backend-gstreamer (4:4.10.0-2build4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:18:21 +0200

phonon-backend-gstreamer (4:4.10.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:58:50 +0000

phonon-backend-gstreamer (4:4.10.0-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:22:50 +0000

phonon-backend-gstreamer (4:4.10.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:37:44 +0000

phonon-backend-gstreamer (4:4.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for phonon-backend-gstreamer-
    common.
  * Set debhelper-compat version in Build-Depends.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Pino Toscano ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.6.2, no changes needed.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Replace the transitional libgl1-mesa-dev build dependency with libgl-dev.
  * Remove inactive Uploaders.
  * Drop from phonon-backend-gstreamer-common the suggests for backend packages:
    other than being half-outdated, it serves no real purpose.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Nov 2023 06:54:15 +0100

phonon-backend-gstreamer (4:4.10.0-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Drop old Breaks+Replaces.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump extra-cmake-modules to 5.60
    - bump libphonon4qt5-dev, and libphonon4qt5experimental-dev to 4:4.10.60
  * Drop the -DPHONON_BUILD_PHONON4QT5=ON cmake parameter, as it is no more
    needed now.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - call the right debhelper command instead of $(overridden_command)
    - remove the -DPLUGIN_INSTALL_DIR cmake parameter, as the right plugin
      directory is detected automatically now
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Nov 2019 19:46:54 +0100

phonon-backend-gstreamer (4:4.9.1-2) unstable; urgency=medium

  * Drop Qt 4 version. Heavily based on Moritz Mühlenhoff's patch, thanks!
    (Closes: #875087).
  * Switch to debhelper compat 12.
    - Override dh_missing instead of dh_install to call --fail-missing.
  * Drop dbg migration command, it is no longer necessary.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2019 15:10:32 -0300

=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.60~),
               libasound2-dev [linux-any],
               libgl-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libphonon4qt5-dev (>= 4:4.10.60~),
               libphonon4qt5experimental-dev (>= 4:4.10.60~),
               libqt5opengl5-dev,
               libqt5x11extras5-dev (>= 5.2.0~),
               libxml2-dev,
               pkg-kde-tools (>= 0.12),
               qttools5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://phonon.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-gstreamer
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer-common
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Phonon GStreamer 1.0.x backend icons
 This package contains GStreamer 1.0.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.
 .
 This package contains icons used by Phonon and Phonon4Qt5 backends.

Package: phonon4qt5-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon4qt5-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-pulseaudio | gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         phonon-backend-gstreamer-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good
Suggests: gstreamer1.0-plugins-ugly
Description: Phonon Qt5 GStreamer 1.0 backend
 This package contains Qt5 GStreamer 1.0 backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/phonon/phonon-backend-gstreamer/([\d.]+)/phonon-backend-gstreamer-@ANY_VERSION@@ARCHIVE_EXT@
